Package groovy.util

## Class XmlNodePrinter.NamespaceContext

- java.lang.Object
- - groovy.util.XmlNodePrinter.NamespaceContext

- Enclosing class:
    XmlNodePrinter

      @Deprecated
      protected static class XmlNodePrinter.NamespaceContext
      extends Object

  Deprecated.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NamespaceContext()` | Deprecated.
    `NamespaceContext​(XmlNodePrinter.NamespaceContext context)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getNamespace​(String prefix)` | Deprecated.
    `boolean` | `isPrefixRegistered​(String prefix, String uri)` | Deprecated.
    `void` | `registerNamespacePrefix​(String prefix, String uri)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NamespaceContext

          public NamespaceContext()

      Deprecated.

    - #### NamespaceContext

          public NamespaceContext​(XmlNodePrinter.NamespaceContext context)

      Deprecated.

  - ### Method Detail

    - #### isPrefixRegistered

          public boolean isPrefixRegistered​(String prefix,
                                            String uri)

      Deprecated.

    - #### registerNamespacePrefix

          public void registerNamespacePrefix​(String prefix,
                                              String uri)

      Deprecated.

    - #### getNamespace

          public String getNamespace​(String prefix)

      Deprecated.